package za.co.rootbranch.coffeechat.repositories;

import org.springframework.data.jpa.repository.JpaRepository;

import za.co.rootbranch.coffeechat.models.User;

public interface UserRepository extends JpaRepository<User, Long> {
    User findByName(String name);

    User findByEmail(String email);

    boolean existsByEmail(String email);
}